/*
 * Base structure
 */
.lavel {
    text-align: left;
}

textarea#note {
    width: -webkit-fill-available;
}

@media (min-width: 576px) {  

.lavel {
    text-align: right;
}



}

.title{
  text-align: center;
}
/* Move down content because we have a fixed navbar that is 3.5rem tall */
body {
  padding-top: 3.5rem;
}

/*
 * Typography
 */

h1 {
  margin-bottom: 20px;
  padding-bottom: 9px;
  border-bottom: 1px solid #eee;
}

/*
 * Sidebar
 */

.sidebar {
  position: fixed;
  top: 51px;
  bottom: 0;
  left: 0;
  z-index: 1000;
  padding: 20px;
  overflow-x: hidden;
  overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
  border-right: 1px solid #eee;
}

/* Sidebar navigation */
.sidebar {
  padding-left: 0;
  padding-right: 0;
}

.sidebar .nav {
  margin-bottom: 20px;
}

.sidebar .nav-item {
  width: 100%;
}

.sidebar .nav-item + .nav-item {
  margin-left: 0;
}

.sidebar .nav-link {
  border-radius: 0;
}

/*
 * Dashboard
 */

 /* Placeholders */
.placeholders {
  padding-bottom: 3rem;
}

.placeholder img {
  padding-top: 1.5rem;
  padding-bottom: 1.5rem;
}


/*nav a.nav-link:hover, nav a.nav-link:active,
 a:hover, nav a:active{
  color:#4178be;
}
nav a.nav-link, a{
  color:#4178be;
}*/

nav{
  -webkit-box-shadow:0 2px 4px rgba(0,0,0,.1); 
  box-shadow:0 2px 4px rgba(0,0,0,.1); 
}

.pagination li{
  padding: 0 5px 0 5px;
}

.bb_hbox {
    display: -webkit-box;
    -webkit-box-orient: horizontal;
    -webkit-box-align: stretch;
}

ul.groupbar {
    list-style: none;
    padding: 0;
    margin: 0;
    white-space: nowrap;
    overflow: auto;
    max-width: 100%;
    /*cursor:    url(https://www.google.com/intl/en_ALL/mapfiles/closedhand.cur), move; */
    height: auto;
    margin-top: 0px;
    margin-bottom: 0px;
    height: 81px;
}


.icon-bar {
   background-color:#FF0000 !important;
}
.glyphicon-menu-hamburger {
  font-size: 16px;
}
.navbar-toggler{
  border:1px solid black !important;
}

.table-responsive{
  display: table;
}

li.groupBarGroup a{
  color:white;
  text-decoration: underline;
}
li.groupBarGroup{
  color:white;
  text-align: center;
  
  padding: 10px 0px 10px 0px;
}

.title_status{
  color:white;
}
#taskTable .title_status td{
  padding: 2px;
}
.pending-action h3{
  padding: 0px
  margin: 0px;
}

.pending-action {
    margin: 0px 0px 10px;
    border: 1px solid #eee;
    padding: 10px;
    border-radius: 20px;
}

div#main-content {
    margin-top: 60px;
}


/**----------------------Tooltip show customers-----------------------------**/

.tooltip-inner {
    max-width: 559px;
    background-color: white;
    text-align: justify;
    box-shadow: 0 0rem 1rem rgba(1, 1, 1, 1);
    color: black
}

.tooltip.show{

    opacity: 1; 
}

.tooltip.bs-tooltip-auto[x-placement^=bottom] .arrow::before, .tooltip.bs-tooltip-bottom .arrow::before {
    margin-left: -3px;
    content: "";
    border-width: 0 5px 5px;
    border-bottom-color: #ffffff;
}

i.fa.fa-question-circle.question {
    color: #007bff;
}

.box{

  height: 450px;
  overflow: auto;

}

.box thead th {
  position: sticky;
  top: 0;
  background-color: #f8f9fa;
  color: black;
}

.box tbody th {
  background-color: #f8f9fa;
  color: black;
}

/**----------------------End tooltip show customers-----------------------------**/

body{
  background-color: #f4f4f8;
}

label {
    text-align: right;
    font-weight: bold;
}

.nav_var {
    text-align: center;
    margin: 15px 0px 0px;
}

div#vis_container span {
    text-align: right;
}

#vis_container input[type="radio"]{
    margin: 5px 0px;
}

.col-md-6.col-sm-12.group-container {
    margin: 0px 0px 20px;
}
.unbordered{
  border: none!important;
}

#transaction_insert .form-check.form-check-inline {
    margin-left: 40px;
}

span.product-status {
    padding: 4px;
    border-radius: 10px;
    color: white;
}

ul.mini-menu li {
    float: left;
    position: relative;
    list-style-type: none;
    margin-right: 5px;
    text-transform:capitalize;
}

.item-list{
  background-color: white;
  border-radius: 10px;
  margin: 20px 0px;
}
.filter-stacked {
    padding: 10px 10px;
    background-color: white;
    border-radius: 10px;
    margin: 10px 0px;
}

/***** stars *****/

.stars-outer {
  display: inline-block;
  position: relative;
  font-family: FontAwesome;
}
 
.stars-outer::before {
  content: "\f006 \f006 \f006";
}
 
.stars-inner {
  position: absolute;
  top: 0;
  left: 0;
  white-space: nowrap;
  overflow: hidden;
  width: 0;
}
 
.stars-inner::before {
  content: "\f005 \f005 \f005";
  color: #f8ce0b;
}

/***** end stars *****/


#pending_actions {
  height: 300px;
  width: 1100px;
  border: 1px solid #ddd;
  background: #f1f1f1;
  overflow-y: scroll;
}


/**** QUOTE ***/
body#quote{
  margin: 0px;
  padding: 0px;
  font-size: 10px;
} 
#quote #content{
  background-color: #fff;
}
#quote div#main-content{
  margin: 0px;
}
#quote h1{
  font-size: 16px;
  border:0px;
}
#quote h2{
  font-size: 14px;
  font-weight: bolder;
}
#quote .subtitle{
  background-color: #ccc;
}

.customer_status {
    padding: 5px;
    color: white;
    border-radius: 10px;
    font-size: small;
}



  /*


newIndex


All grid code is placed in a 'supports' rule (feature query) at the bottom of the CSS (Line 320). 
            
The 'supports' rule will only run if your browser supports CSS grid.

Flexbox is used as a fallback so that browsers which don't support grid will still recieve an identical layout.

*/

/* Base styles */



*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  font-family: Arial, sans-serif;
  display: flex;
  flex-direction: column;
}



:focus {
  outline-color: #fa0;
}

/* Masthead */

.masthead {
  flex-basis: 4rem;
  display: flex;
  align-items: center;
  padding: 0 0.8rem;
  color:rgb(117, 117, 117);
  box-shadow: 0 0.1rem 0.1rem rgba(0, 0, 0, 0.1);
}

.masthead .btn {
  background-color: #4c94be;
  border-radius: 0.3rem;
  transition: background-color 150ms;
}


.boards-menu {
  display: flex;
  flex-shrink: 0;
}

.boards-btn {
  flex-basis: 9rem;
  font-size: 1.4rem;
  font-weight: 700;
  color: #fff;
  margin-right: 0.8rem;
  padding: 0.6rem 0.8rem;
}

.boards-btn-icon {
  font-size: 1.7rem;
  padding-right: 1.2rem;
}

.board-search {
  flex-basis: 18rem;
  position: relative;
}

.board-search-input {
  height: 3rem;
  border: none;
  border-radius: 0.3rem;
  width: 100%;
  padding: 0 3rem 0 1rem;
  color: #fff;
}

.board-search-input:hover {
  background-color: #66a4c8;
}

.search-icon {
  font-size: 1.5rem;
  position: absolute;
  top: 50%;
  right: 0.8rem;
  transform: translateY(-50%) rotate(90deg);
  color: #fff;
}

.logo {
  flex: 1;
  font-family: "Courgette", cursive;
  font-size: 2.2rem;
  font-weight: 700;
  color: rgba(255, 255, 255, 0.5);
  margin: 0 2rem;
  transition: color 150ms;
  text-align: center;
  white-space: nowrap;
  cursor: pointer;
}

.logo:hover {
  color: rgba(255, 255, 255, 0.8);
}

.logo-icon {
  padding-right: 0.4rem;
}

.user-settings {
  display: flex;
  height: 3rem;
  color: #fff;
}

.user-settings-btn {
  font-size: 1.5rem;
  width: 3rem;
  margin-right: 0.8rem;
}

.user-settings-btn:last-of-type {
  margin-right: 0;
}

/* Board info bar */

.board-info-bar {
  flex-basis: 3rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 0.8rem 0;
  padding: 0 1rem;
  color: #f6f6f6;
}

.board-controls {
  display: flex;
}

.board-controls .btn {
  margin-right: 1rem;
}

.board-controls .btn:last-of-type {
  margin-right: 0;
}

.board-info-bar .btn {
  font-size: 1.4rem;
  font-weight: 400;
  transition: background-color 150ms;
  padding: 0 0.6rem;
  border-radius: 0.3rem;
  height: 3rem;
}



.private-btn-icon,
.menu-btn-icon {
  padding-right: 0.6rem;
  white-space: nowrap;
}

.board-title h2 {
  font-size: 1.8rem;
  font-weight: 700;
  white-space: nowrap;
}

/* Lists */

.lists-container::-webkit-scrollbar {
  height: 2.4rem;
}

.lists-container::-webkit-scrollbar-thumb {
  background-color: #66a3c7;
  border: 0.8rem solid #0079bf;
  border-top-width: 0;
}

.lists-container {
  display: flex;
  align-items: start;
  padding: 0 0.8rem 0.8rem;
  overflow-x: auto;
  height: calc(100vh - 8.6rem);
}

.list {
  flex: 0 0 27rem;
  display: flex;
  flex-direction: column;
  background-color: #e2e4e6;
  max-height: calc(100vh - 11.8rem);
  border-radius: 0.3rem;
  margin-right: 1rem;
}

.list:last-of-type {
  margin-right: 0;
}

.list-title {
  font-size: 1.4rem;
  font-weight: 700;
  color: #333;
  padding: 1rem;
}

.list-items {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-content: start;
  padding: 0 0.6rem 0.5rem;
  overflow-y: auto;
}

.list-items::-webkit-scrollbar {
  width: 1.6rem;
}

.list-items::-webkit-scrollbar-thumb {
  background-color: #c4c9cc;
  border-right: 0.6rem solid #e2e4e6;
}

.list-items li {
  font-size: 1.4rem;
  font-weight: 400;
  line-height: 1.3;
  background-color: #fff;
  padding: 0.65rem 0.6rem;
  color: #4d4d4d;
  border-bottom: 0.1rem solid #ccc;
  border-radius: 0.3rem;
  margin-bottom: 0.6rem;
  word-wrap: break-word;
  cursor: pointer;
}

.list-items li:last-of-type {
  margin-bottom: 0;
}

.list-items li:hover {
  background-color: #eee;
}

.add-card-btn {
  display: block;
  font-size: 1.4rem;
  font-weight: 400;
  color: #838c91;
  padding: 1rem;
  text-align: left;
  cursor: pointer;
}

.add-card-btn:hover {
  background-color: #cdd2d4;
  color: #4d4d4d;
  text-decoration: underline;
}

.add-list-btn {
  flex: 0 0 27rem;
  display: block;
  font-size: 1.4rem;
  font-weight: 400;
  background-color: #006aa7;
  color: #a5cae0;
  padding: 1rem;
  border-radius: 0.3rem;
  cursor: pointer;
  transition: background-color 150ms;
  text-align: left;
}

.add-list-btn:hover {
  background-color: #005485;
}

.add-card-btn::after,
.add-list-btn::after {
  content: '...';
}

/*

The following rule will only run if your browser supports CSS grid.

Remove or comment-out the code block below to see how the browser will fall-back to flexbox styling. 

*/

@supports (display: grid) {
  body {
      display: grid;
      grid-template-rows: 4rem 3rem auto;
      grid-row-gap: 0.8rem;
  }

  .masthead {
      display: grid;
      grid-template-columns: auto 1fr auto;
      grid-column-gap: 2rem;
  }

  .boards-menu {
      display: grid;
      grid-template-columns: 9rem 18rem;
      grid-column-gap: 0.8rem;
  }

  .user-settings {
      display: grid;
      grid-template-columns: repeat(4, auto);
      grid-column-gap: 0.8rem;
  }

  .board-controls {
      display: grid;
      grid-auto-flow: column;
      grid-column-gap: 1rem;
  }

  .lists-container {
      display: grid;
      grid-auto-columns: 27rem;
      grid-auto-flow: column;
      grid-column-gap: 1rem;
  }

  .list {
      display: grid;
      grid-template-rows: auto minmax(auto, 1fr) auto;
  }

  .list-items {
      display: grid;
      grid-row-gap: 0.6rem;
  }

  .logo,
  .list,
  .list-items li,
  .boards-btn,
  .board-info-bar,
  .board-controls .btn,
  .user-settings-btn {
      margin: 0;
  }
}
select.custom-select.form-select{
  display: inline;
}


#dashboard_public ul.groupbar {
  height: 8rem;
}

body#body_guess, body#body_guess div#main-content{
  padding:0px;
  margin: 0px;
}




body#body_guess .h4, body#body_guess h4 {
    font-size: 1rem;
}

body#body_guess li.groupBarGroup {
  padding: 10px 10px 10px 10px;
  border: 1px solid;
}